Package org.eclipse.rdf4j.query.algebra.evaluation.federation

## Interface FederatedServiceResolverClient

- All Known Implementing Classes:
    `AbstractForwardChainingInferencer`, `AbstractForwardChainingInferencerConnection`, `CustomGraphQueryInferencer`, `DedupingInferencer`, `DedupingInferencerConnection`, `DirectTypeHierarchyInferencer`, `ElasticsearchStore`, `ElasticsearchStoreConnection`, `EvaluationStrategyImpl`, `ExtendedEvaluationStrategy`, `ExtendedEvaluationStrategyFactory`, `ExtensibleStore`, `ExtensibleStoreConnection`, `Federation`, `FederationEvalStrategy`, `FederationStrategy`, `FedXRepository`, `FedXRepositoryConnection`, `ForwardChainingRDFSInferencer`, `InferencerConnectionWrapper`, `LimitedSizeEvaluationStrategy`, `LimitedSizeNativeStore`, `LimitedSizeNativeStoreConnection`, `LuceneSail`, `LuceneSailConnection`, `MemoryStore`, `MemoryStoreConnection`, `NativeStore`, `NativeStoreConnection`, `NotifyingSailConnectionWrapper`, `NotifyingSailWrapper`, `SailConnectionWrapper`, `SailFederationEvalStrategy`, `SailRepository`, `SailRepositoryConnection`, `SailSourceConnection`, `SailWrapper`, `SchemaCachingRDFSInferencer`, `SchemaCachingRDFSInferencerConnection`, `ShaclSail`, `ShaclSailConnection`, `SimpleEvaluationStrategy`, `SparqlFederationEvalStrategy`, `StrictEvaluationStrategy`, `StrictEvaluationStrategyFactory`, `TupleFunctionEvaluationStrategy`, `VerySimpleRdfsBackwardsChainingConnection`

      public interface FederatedServiceResolverClient

  Interface used by `SailFactory` and `RepositoryFactory` that can make external SERVICE calls.
  Author:
    James Leigh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setFederatedServiceResolver​(FederatedServiceResolver resolver)` | Sets the `FederatedServiceResolver` to use for this client.

- - ### Method Detail

    - #### setFederatedServiceResolver

          void setFederatedServiceResolver​(FederatedServiceResolver resolver)

      Sets the `FederatedServiceResolver` to use for this client.
      Parameters:
        `resolver` - The resolver to use.